Debian Bug report logs - #720943
ITP: golang-websocket-dev -- implementation of the WebSocket (RFC6455) for Go

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vincent Bernat <bernat@debian.org>

Date: Mon, 26 Aug 2013 14:27:02 UTC

Owned by: Vincent Bernat <bernat@debian.org>

Severity: wishlist

Fixed in version golang-websocket/0.0~git20140119-1

Done: Vincent Bernat <bernat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#720943; Package wnpp. (Mon, 26 Aug 2013 14:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 26 Aug 2013 14:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: golang-websocket-dev -- implementation of the WebSocket (RFC6455) for Go
Date: Mon, 26 Aug 2013 16:24:01 +0200
Package: wnpp
Severity: wishlist
Owner: Vincent Bernat <bernat@debian.org>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

* Package name    : golang-websocket-dev
  Version         : 0.0~git20130822
  Upstream Author : Gary Burd <gary@beagledreams.com>
* URL             : https://github.com/garyburd/go-websocket
* License         : Apache-2.0
  Programming Lang: Go
  Description     : implementation of the WebSocket (RFC6455) for Go

Go-WebSocket is a Go implementation of RFC 6455. It does not support
previous unofficial versions of the protocol (Hixie 76, Hixie 75). It
successfully passes the server tests in the Autobahn WebSockets Test
Suite.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSG2UAAAoJEJWkL+g1NSX580cP/3vOZv7eKgHh3kbGwbHfRVKV
sIvnuTF+uQt5VFzmVtRlJSdJpS/0yHdbJkb7Ao4CG5i+4aZr6+F3+l8dvHpPqJGZ
jYLYUsYuLvYwtysBkKvrifMpCcaf6H3doOdWbD6v4MEhJ3ZrY5N1iDeZxjHltUiQ
D9WFNnWR5474tc6go/ccWfUbIWsC64CD4dMOFtjAFgezAZ0NMgUxOeT5iOjPcWDm
m2n/3LiZlGLYdbzIC7iVwWcliGYkMX+wH33E7rE4Kb/2IqxI2fYlfz00lUalgvj/
PGC4jFphVOXNLATLI02iSLnlF849bArftoE3PVzHLSjtoBHfmLE1MXaF6i7KQJWe
zGVWDd38LBtxW2/nzpSGi/l8UrYu5gYMGqFcP7J6D/q5LGFBhAAXcv4zHOgn81vD
/tXD5BnEFLlaVQ3xPiMjFLtLerQSh1PHbOTk5E1tshL2BJDsgFs24XfTDMuvrrUr
zeQcafEvhEE+Qa7cQIoaHl/MmiLIocYdkQFckzvSo91km4C1pz8JnE8ptm0zKyk0
T0g1b7PfV3IzbvDFSaiWekLEVQMPVJRRNqn9dTeICh5WVaygWljbydy9MK99RHTQ
0z4mxtJQbOq6psb6sSZc5JuBu3p8e59fNIURg005/ebLzlOVMqRvnQj+AkEwNHbu
HWXpI3Dprhdbja8XDnAJ
=6QEc
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#720943; Package wnpp. (Sun, 19 Jan 2014 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 19 Jan 2014 13:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 720943@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 720943@bugs.debian.org
Subject: Re: Bug#720943: ITP: golang-websocket-dev -- implementation of the WebSocket (RFC6455) for Go
Date: Sun, 19 Jan 2014 14:15:07 +0100
[Message part 1 (text/plain, inline)]
 ❦ 26 août 2013 16:24 CEST, Vincent Bernat <bernat@debian.org> :

> * Package name    : golang-websocket-dev
>   Version         : 0.0~git20130822
>   Upstream Author : Gary Burd <gary@beagledreams.com>
> * URL             : https://github.com/garyburd/go-websocket
> * License         : Apache-2.0
>   Programming Lang: Go
>   Description     : implementation of the WebSocket (RFC6455) for Go

This repository has been deprecated in favor of this one:
 https://github.com/gorilla/websocket

The ITP still stands. The license is BSD-2 instead of Apache 2.
-- 
Use recursive procedures for recursively-defined data structures.
            - The Elements of Programming Style (Kernighan & Plauger)
[signature.asc (application/pgp-signature, inline)]

Reply sent to Vincent Bernat <bernat@debian.org>:
You have taken responsibility. (Mon, 20 Jan 2014 13:03:20 GMT) Full text and rfc822 format available.

Notification sent to Vincent Bernat <bernat@debian.org>:
Bug acknowledged by developer. (Mon, 20 Jan 2014 13:03:20 GMT) Full text and rfc822 format available.

Message #15 received at 720943-close@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 720943-close@bugs.debian.org
Subject: Bug#720943: fixed in golang-websocket 0.0~git20140119-1
Date: Mon, 20 Jan 2014 13:00:08 +0000
Source: golang-websocket
Source-Version: 0.0~git20140119-1

We believe that the bug you reported is fixed in the latest version of
golang-websocket, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720943@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Bernat <bernat@debian.org> (supplier of updated golang-websocket package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 Jan 2014 14:42:03 +0100
Source: golang-websocket
Binary: golang-websocket-dev
Architecture: source amd64
Version: 0.0~git20140119-1
Distribution: unstable
Urgency: low
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Changed-By: Vincent Bernat <bernat@debian.org>
Description: 
 golang-websocket-dev - Go package implementing the WebSocket protocol
Closes: 720943
Changes: 
 golang-websocket (0.0~git20140119-1) unstable; urgency=low
 .
   * Initial package. Closes: #720943.
Checksums-Sha1: 
 76358ce8eb9a72457e8c543227543902da9094d9 2062 golang-websocket_0.0~git20140119-1.dsc
 622a2ca5611e9ea3efae1175cfd82609a93b8066 17680 golang-websocket_0.0~git20140119.orig.tar.xz
 f03ca516c02cd811608b8533dbf20a110dd71b89 2652 golang-websocket_0.0~git20140119-1.debian.tar.xz
 1112fbb4f635f403faa9404b0de8a4eda61e8788 20202 golang-websocket-dev_0.0~git20140119-1_amd64.deb
Checksums-Sha256: 
 eeb280ae12e89ce46fad4e32df2bd2a8e6f64551c2898822951421e8652e72a0 2062 golang-websocket_0.0~git20140119-1.dsc
 529d60e7ccebad8cfb51549ab2050f73f54a0590d1ccac584f6dbda5da798329 17680 golang-websocket_0.0~git20140119.orig.tar.xz
 6c37eec0a44854edc0190797c015eda58109c99932ce8f4356f3aafc5af6cb9c 2652 golang-websocket_0.0~git20140119-1.debian.tar.xz
 1c0133bf5d8fad199d6c1710a0cb802b9982f8db910ea1bddabd3556dce7e94a 20202 golang-websocket-dev_0.0~git20140119-1_amd64.deb
Files: 
 688ad5a53d3ad8639cde6683e28e8e23 2062 devel extra golang-websocket_0.0~git20140119-1.dsc
 db9a5fd1bdbca6c3a007a29e12286500 17680 devel extra golang-websocket_0.0~git20140119.orig.tar.xz
 f089e07f74d35d1964a276cbfd3bc560 2652 devel extra golang-websocket_0.0~git20140119-1.debian.tar.xz
 f9ea88b45d068a3a2895581abf38041e 20202 devel extra golang-websocket-dev_0.0~git20140119-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS2+E5AAoJEJWkL+g1NSX5TDQP/R0DxcqFf2aGGSwfArQXE296
uHh5G+r9+xiE8xVJYtH1vyY8RxBEC7hstqWRFxSzon5IzW7XkrsnUVWOIkbf3MuV
FkfKAwpnUwDEEvwxcSekeXNS/fB3gFWEeKWlhPIOFU9Zo/p0VVpwgZXdTCAI4MzN
kR4VTo6CsAM+ZkCvZBm5423/n+NsvI8Fj7nPKO0fxinqIAUKFgCU+dXYYLq0JyMc
LxuyBmMNHpiyrEUAb2c8UcTBvGTXeONTOV3jA43tfKSSMOq0rXXK6ywNvk7NWPR8
cxkXTn77bQO/4iQZFg9AosPwAT+N5E5LMJO74U8LmLqe2awhBhLbu7tuyPd5dAyk
Q2O9db2BkhJEtuXysbfaNGDUkSNz1VFpzimiX01tA+/y6K/Y6Vj9ZjXo44K98UEz
2kyK3D+vibx3HiDoIpUPdzloXnYGKo2cNBxmLGXjJNHxGNVmObl4k4IboiK3QssT
4JC4HRq7dkovmmx8X6hxjTRCUUJ13zo6rIvyHT78aXaL7R9rgVqyl39qu6GYvcGI
1spmgGFSo33QtH3+ue5LoPJpmW0t0dG3EzXepSjBIG5ZWQBCCnjUpsHtpBUo9Aqq
5shj+jm8Oq0QzHhcP3kgMPlmz0MHUZvy+Hzr8mkSiotJqC6m6eKdHn3L+EfwsxFH
J2OliZmwrv0ElN/8rDFG
=yDxP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Feb 2014 07:39:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:17:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.